//
//  main.c
//
//  Created by Julien-Pierre Avrous on 22/08/06.
//  Copyright 2006 SourceMac.com. All rights reserved.
//
//

#include <stdio.h>
#include <stdlib.h>
#include "trie.h"

#define size 50

void showTab(int tb[], int sz);
void copy(int tb1[], int tb2[], int sz);

int main()
{
	int tb[size], tmp[size];
	register int i;
	
	printf("Averous Julien-Pierre - 2006 - www.sourcemac.com\n\n");
	
	for(i=0;i<=size;i++)
		tb[i]=((double)rand()/RAND_MAX)*50.0;
	printf("Tableau d'origine :");
	showTab(tb, size);
	
	printf("\n");
	
	copy(tb, tmp, size);
	TrieBulle(tmp, size);
	printf("Tableau triee par Bulle:");
	showTab(tmp, size);
	
	printf("\n");
	
	copy(tb, tmp, size);
	TrieSelection(tmp, size);
	printf("Tableau triee par Selection:");
	showTab(tmp, size);
	
	printf("\n");
	
	copy(tb, tmp, size);
	TrieInsertion(tmp, size);
	printf("Tableau triee par Insertion:");
	showTab(tmp, size);
}


void showTab(int tb[], int sz)
{
	register int i;
	printf("\n");
	for(i=0;i<=sz;i++)
		printf("%02i ", tb[i]);
	printf("\n");
}

void copy(int tb1[], int tb2[], int sz)
{
	register int i;
	for(i=0; i<=sz; i++)
		tb2[i]=tb1[i];
}